GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType Interface Reference

## Public Member Functions
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreateParcelsResponse | createParcels ( @WebParam(partName="shipment", name="ShipmentRequestData", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentRequestData shipment) throws MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.RelabelParcelResponse | relabelParcel ( @WebParam(partName="relabelParcelRequestParameter", name="RelabelParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.RelabelParcelRequestParameter relabelParcelRequestParameter) throws InvalidShipmentIDMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse | validateParcels ( @WebParam(partName="shipment", name="ValidateShipmentRequestData", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateShipmentRequestData shipment) throws MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CancelParcelResponse | cancelParcelByID ( @WebParam(partName="trackID", name="TrackID", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") java.lang.String trackID) throws InsufficientPermissionMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelResponse | reprintParcel ( @WebParam(partName="reprintParcelRequestParameter", name="ReprintParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter reprintParcelRequestParameter) throws InvalidShipmentIDMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.EndOfDayResponse | getEndOfDayReport ( @WebParam(partName="endOfDayDate", name="EndOfDayDate", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") java.lang.String endOfDayDate) throws InvalidFieldValueMessage, MandatoryFieldMissingMessage, CouldNotTransmitShipmentsMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesResponse | getAllowedServices ( @WebParam(partName="allowedServicesRequestParameter", name="AllowedServicesRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesRequestParameter allowedServicesRequestParameter) throws MandatoryFieldMissingMessage, InvalidFieldValueMessage
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightResponse | updateParcelWeight ( @WebParam(partName="updateParcelWeightRequestParameter", name="UpdateParcelWeightRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter updateParcelWeightRequestParameter) throws MandatoryFieldMissingMessage, InvalidShipmentIDMessage, InvalidFieldValueMessage

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 18 of file ShipmentProcessingPortType.java.

## Member Function Documentation

## ◆ cancelParcelByID()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CancelParcelResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.cancelParcelByID | ( | @WebParam(partName="trackID", name="TrackID", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") java.lang.String | trackID | ) | throws InsufficientPermissionMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage

## ◆ createParcels()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.CreateParcelsResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.createParcels | ( | @WebParam(partName="shipment", name="ShipmentRequestData", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ShipmentRequestData | shipment | ) | throws MandatoryFieldMissingMessage, InvalidFieldValueMessage

## ◆ getAllowedServices()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.getAllowedServices | ( | @WebParam(partName="allowedServicesRequestParameter", name="AllowedServicesRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.AllowedServicesRequestParameter | allowedServicesRequestParameter | ) | throws MandatoryFieldMissingMessage, InvalidFieldValueMessage

## ◆ getEndOfDayReport()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.EndOfDayResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.getEndOfDayReport | ( | @WebParam(partName="endOfDayDate", name="EndOfDayDate", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") java.lang.String | endOfDayDate | ) | throws InvalidFieldValueMessage, MandatoryFieldMissingMessage, CouldNotTransmitShipmentsMessage

## ◆ relabelParcel()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.RelabelParcelResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.relabelParcel | ( | @WebParam(partName="relabelParcelRequestParameter", name="RelabelParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.RelabelParcelRequestParameter | relabelParcelRequestParameter | ) | throws InvalidShipmentIDMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage

## ◆ reprintParcel()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.reprintParcel | ( | @WebParam(partName="reprintParcelRequestParameter", name="ReprintParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ReprintParcelRequestParameter | reprintParcelRequestParameter | ) | throws InvalidShipmentIDMessage, MandatoryFieldMissingMessage, InvalidFieldValueMessage

## ◆ updateParcelWeight()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.updateParcelWeight | ( | @WebParam(partName="updateParcelWeightRequestParameter", name="UpdateParcelWeightRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter | updateParcelWeightRequestParameter | ) | throws MandatoryFieldMissingMessage, InvalidShipmentIDMessage, InvalidFieldValueMessage

## ◆ validateParcels()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateParcelsResponse eu.gls_group.fpcs.v1.shipmentprocessing.ShipmentProcessingPortType.validateParcels | ( | @WebParam(partName="shipment", name="ValidateShipmentRequestData", targetNamespace="http://fpcs.gls-group.eu/v1/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ValidateShipmentRequestData | shipment | ) | throws MandatoryFieldMissingMessage, InvalidFieldValueMessage

The documentation for this interface was generated from the following file:

- ShipmentProcessingPortType.java